EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 vai EPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: „/some path/with spaces“

[OPTIONS]

--compress-images, -i
    Losslessly compress images in the book, to reduce the filesize, without affecting image quality.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Iegult visus fontus, kas ir izmantoti dokumentā un vēl nav iegulti. Jūsu datorā tiks meklēti fonti un, ja tie tiks atrasti, tie tiks iegulti dokumentā. Lūdzu, pārliecinieties par atbilstošas licences esamību pirms fontu iegulšanas šajā dokumentā.

--help, -h
    parādīt šo palīdzības paziņojumu un iziet

--jacket, -j
    Ievietot lapu "grāmatas vāks" grāmatas sākumā, kas satur visus grāmatas metadatus, piemēram, nosaukums, birkas, autori, sērija, komentāri, utt. Jebkurš iepriekšējās grāmatas vāks tiks aizstāts.

--opf, -o
    Ceļš līdz OPF datnei. Grāmatas metadati tiek atsvaidzināti no OPF datnes.

--remove-jacket
    Dzēst iepriekš pievienoto grāmatas apvākojuma lapu.

--remove-unused-css, -u
    Noņemt visus neizmantotos noteikumus no CSS stila un <style> birkām. Dažas grāmatas izveidotas no ražošanas veidnēm, var būt ar lielu skaitu papildus CSS noteikumu kas neatbilst jebkuram faktiskajam saturam. Šie papildu noteikumi var palēnināt lasītājus kuriem nepieciešams tos visus izanalizēt.

--smarten-punctuation, -p
    Pārvērst teksta domuzīmes, daudzpunktus, pēdiņas, vairākas pārnesumzīmes, utt. uz tipogrāfiski pareiziem ekvivalentiem. Ņemiet vērā, ka algoritms dažkārt var radīt kļūdainus rezultātus, jo īpaši ja ir iesaistītas vienas pēdiņas saīsinājumu sākumā.

--subset-fonts, -f
    Samazināt fontus nozīmē samazināt iekļautos fontus, lai ierobežotu uz vēlamo fontu kopu ko izmanto grāmata. Tas ievērojami samazina fontu failu izmēru (uz pusi samazina fonta failu kopējo izmēru). Piemēram, ja grāmata izmanto konkrētu fontu galvenes, tad fontu samazināšana, samazinās šo fontu saturu tikai rakstzīmēm, kas atrodas faktiskajā galvenes grāmatā. Vai arī, ja grāmatā iekļauti treknraksta un kursīva versijas fonti, bet treknraksta un kursīva teksts ir salīdzinoši reti, vai trūkst vispār, tad treknraksta un kursīva fontus var samazināt līdz dažām zīmēm vai pilnībā likvidēt. Vienīgais negatīvais moments fontu samazināšanai, ir, ka, ja vēlāk , kad jūs nolemjat pievienot vairāk teksta jūsu grāmatām, tikko pievienotajā tekstā var nebūt ietverti samazinātie fonti.

--verbose
    Rādīt plašāku informāciju par norisi, noder atkļūdošanai.

--version
    parādīt programmas versijas numuru un iziet

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal